Subject: RE: Node Req: Issue22: 4.5.4 Default Address Selection for IPv6 - RFC3484 text

From: [email-masked]
Date: Wed, 1 Oct 2003 16:19:38 +0300

Hi Thomas,

I will make the changes.

John

> -----Original Message-----
> From: ext Thomas Narten [mailto:[email-masked]]
> Sent: 29 September, 2003 20:52
> To: Loughney John (NRC/Helsinki)
> Cc: [email-masked]
> Subject: Re: Node Req: Issue22: 4.5.4 Default Address 
> Selection for IPv6
> - RFC3484 text 
> 
> 
> > > > 4.5.4 Default Address Selection for IPv6 - RFC3484
> > > > 
> > > >  Default Address Selection for IPv6 [RFC-3484] SHOULD 
> be supported, if
> > > >  a node has more than one IPv6 address per interface or 
> a node has
> > > >  more that one IPv6 interface (physical or logical) configured.
> > > > 
> > > >  If supported, the rules specified in the document MUST be
> > > >  implemented. A node needs to belong to one site, 
> however there is no
> > > >  requirement that a node be able to belong to more than 
> one site.
> > > 
> > > This is really weasle worded. Is 3484 mandatory to 
> _implement_ or not?
> > > You can't make its implementation dependent on whether there are
> > > multiple addresses, since the number of addresses a node 
> will have is
> > > not something an implementor will know, as it's an 
> operational issue.
> 
> > Why do you say its weasley-worded?  I take this as a strong 
> SHOULD.  I
> > imagine that a single purpose IPv6, like a sensor may, in 
> fact, have a
> > single IP address.
> 
> The current wording suggests that there are classes of devices that
> don't need to handle multiple addresses (i.e., they will only have a
> single address assigned to them). This (IMO) violates a core
> assumption of IPv6, that all nodes need to deal with multiple
> addresses. I'd like to see a better justification to allow this. So,
> I'm not objecting to the SHOULD, I'm objecting to the suggestion that
> some nodes won't need to support multiple addresses.
> 
> Note: whether a site uses one or some small number of addressesd is an
> operational issue, and can't really be a device implementation
> decision.
> 
> > Some text clarification may be OK, though, how about
> > adding to the first paragraph the following text:
> 
> >     It is expected that most implementations will indeed 
> support this, as 
> >     since the number of addresses a node will have is more of an 
> >     operational issue.
> 
> IMO, I'd like to see removal of all wording suggesting that it might
> be OK for devices to support only a single address.
> 
> Thomas
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------